This is an automated email from the git hooks/post-receive script.

ebourg-guest pushed a commit to branch master
in repository polyglot-maven.

commit e0ec474efa8b96ce4f2dff2916ba7735b7036d76
Author: Emmanuel Bourg <ebo...@apache.org>
Date:   Tue Nov 14 12:25:34 2017 +0100

    Use the versionless jars of plexus-component-annotations and 
plexus-container-default
---
 debian/build.xml | 4 ++--
 debian/changelog | 2 ++
 debian/control   | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/debian/build.xml b/debian/build.xml
index f946cd7..c0571d1 100644
--- a/debian/build.xml
+++ b/debian/build.xml
@@ -74,8 +74,8 @@
     <fileset dir="/usr/share/java" includes="maven-model-3.x.jar"/>
     <fileset dir="/usr/share/java" includes="maven-model-builder-3.x.jar"/>
     <fileset dir="/usr/share/java" includes="plexus-classworlds.jar"/>
-    <fileset dir="/usr/share/java" 
includes="plexus-component-annotations-1.5.jar"/>
-    <fileset dir="/usr/share/java" 
includes="plexus-container-default-1.5.jar"/>
+    <fileset dir="/usr/share/java" 
includes="plexus-component-annotations.jar"/>
+    <fileset dir="/usr/share/java" includes="plexus-container-default.jar"/>
     <fileset dir="/usr/share/java" includes="plexus-utils2.jar"/>
    </path>
       
diff --git a/debian/changelog b/debian/changelog
index e3b98d6..d325bd6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ polyglot-maven (0.8~tobrien+git20120905-8) UNRELEASED; 
urgency=medium
 
   * Team upload.
   * Depend on libplexus-classworlds-java instead of libplexus-classworlds-java
+  * Use the versionless jars of plexus-component-annotations
+    and plexus-container-default
   * Standards-Version updated to 4.1.1
 
  -- Emmanuel Bourg <ebo...@apache.org>  Tue, 14 Nov 2017 12:19:28 +0100
diff --git a/debian/control b/debian/control
index 3504131..c8a1d22 100644
--- a/debian/control
+++ b/debian/control
@@ -13,7 +13,7 @@ Build-Depends:
  libcommons-logging-java,
  libmaven3-core-java (>= 3.3.3-4~),
  libplexus-classworlds-java,
- libplexus-component-metadata-java,
+ libplexus-component-metadata-java (>= 1.7.1-6~),
  libplexus-utils2-java,
  maven-repo-helper (>= 1.5)
 Standards-Version: 4.1.1

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-java/polyglot-maven.git

_______________________________________________
pkg-java-commits mailing list
pkg-java-comm...@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-commits

Reply via email to